aboutsummaryrefslogtreecommitdiff
path: root/share/hoarder/xbps
diff options
context:
space:
mode:
Diffstat (limited to 'share/hoarder/xbps')
-rw-r--r--share/hoarder/xbps/info1
-rwxr-xr-xshare/hoarder/xbps/unix/install32
2 files changed, 33 insertions, 0 deletions
diff --git a/share/hoarder/xbps/info b/share/hoarder/xbps/info
new file mode 100644
index 0000000..50a56ed
--- /dev/null
+++ b/share/hoarder/xbps/info
@@ -0,0 +1 @@
+X Binary Package System designed and implemented from scratch
diff --git a/share/hoarder/xbps/unix/install b/share/hoarder/xbps/unix/install
new file mode 100755
index 0000000..5a16ac9
--- /dev/null
+++ b/share/hoarder/xbps/unix/install
@@ -0,0 +1,32 @@
+#!/usr/bin/env sh
+#
+# Install XBPS package manager.
+#
+
+# Parameters
+SHARE="$1"
+BASE="$SHARE/../.."
+FOLDER="/usr/local"
+DESTDIR="$HOME/.xbps"
+
+# Include basic functions
+. $SHARE/trashman/functions || exit 1
+
+# Check for curl
+if ! which curl > /dev/null 2>&1; then
+ trashman_echo "Needs curl to install XBPS"
+ exit 1
+fi
+
+# Source folder
+mkdir -p $HOME/.local/src
+
+# Build and install
+git clone https://github.com/void-linux/xbps $HOME/.local/src
+cd $HOME/.local/src/xbps
+./configure --enable-rpath --prefix=/usr --sysconfdir=/etc
+make -j$(nproc)
+make DESTDIR=$DESTDIR install clean
+
+# Remove source
+#rm -rf $HOME/.local/src/xbps